IfxStatementTypes
Date: 2015-03-03

com.informix.jdbc

## Class IfxStatementTypes

- java.lang.Object
- - com.informix.jdbc.IfxStatementTypes

-     public class IfxStatementTypes
      extends java.lang.Object

  Statement numbers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `SQ_ALTER` ALTER TABLE
    `static short` | `SQ_ALTERAM` ALTER ACCESS_METHOD
    `static short` | `SQ_ALTERROUTINE` ALTER routine
    `static short` | `SQ_ALTFRAG` ALTER FRAGMENT
    `static short` | `SQ_ALTIDX` ALTER INDEX
    `static short` | `SQ_ALTOPCL` ALTER OPTICAL CLUSTER
    `static short` | `SQ_BEGWORK` BEGIN WORK
    `static short` | `SQ_CHKIDX` onutil check index command
    `static short` | `SQ_CHKTAB` for internal use only
    `static short` | `SQ_CLSDB` CLOSE DATABASE
    `static short` | `SQ_COMMIT` COMMIT WORK
    `static short` | `SQ_CONSTRMODE` SET CONSTRAINTS
    `static short` | `SQ_CREABT` CREATE OPAQUE TYPE
    `static short` | `SQ_CREACST` CREATE CONSTRUCTOR
    `static short` | `SQ_CREACT` CREATE CAST
    `static short` | `SQ_CREADB` CREATE DATABASE
    `static short` | `SQ_CREADOM` CREATE DOMAIN
    `static short` | `SQ_CREADT` CREATE DISTINCT TYPE
    `static short` | `SQ_CREAGG` CREATE AGGREGATE
    `static short` | `SQ_CREANRT` CREATE NAMED ROW TYPE
    `static short` | `SQ_CREASYN` CREATE SYNONYM
    `static short` | `SQ_CREATEAM` CREATE ACCESS_METHOD
    `static short` | `SQ_CREATEOPC` CREATE OPCLASS
    `static short` | `SQ_CREATEROLE` CREATE ROLE
    `static short` | `SQ_CREAUD` CREATE AUDIT
    `static short` | `SQ_CREIDX` CREATE INDEX
    `static short` | `SQ_CREOPCL` CREATE OPTICAL CLUSTER
    `static short` | `SQ_CREPROC` CREATE PROCEDURE
    `static short` | `SQ_CRETAB` CREATE TABLE
    `static short` | `SQ_CRETRIG` CREATE TRIGGER
    `static short` | `SQ_CREVIEW` CREATE VIEW
    `static short` | `SQ_CTEMP` CREATE TEMP TABLE
    `static short` | `SQ_DATABASE` DATABASE statement
    `static short` | `SQ_DBGFILE` SET DEBUG FILE TO
    `static short` | `SQ_DEBUG` for internal use only
    `static short` | `SQ_DELALL` DELETE (no WHERE)
    `static short` | `SQ_DELCURR` DELETE WHERE CURRENT OF
    `static short` | `SQ_DELETE` DELETE...WHERE
    `static short` | `SQ_DROPAM` DROP ACCESS_METHOD
    `static short` | `SQ_DROPCT` DROP CAST
    `static short` | `SQ_DROPDB` DROP DATABASE
    `static short` | `SQ_DROPDOM` DROP DOMAIN
    `static short` | `SQ_DROPNRT` DROP NAMED ROW TYPE
    `static short` | `SQ_DROPOPC` DROP OPCLASS
    `static short` | `SQ_DROPROLE` DROP ROLE
    `static short` | `SQ_DROPSYN` DROP SYNONYM
    `static short` | `SQ_DROPTYPE` DROP TYPE
    `static short` | `SQ_DROPVIEW` DROP VIEW
    `static short` | `SQ_DRPAGG` DROP AGGREGATE
    `static short` | `SQ_DRPAUD` DROP AUDIT
    `static short` | `SQ_DRPIDX` DROP INDEX
    `static short` | `SQ_DRPOPCL` DROP OPTICAL CLUSTER
    `static short` | `SQ_DRPPROC` DROP PROCEDURE
    `static short` | `SQ_DRPTAB` DROP TABLE
    `static short` | `SQ_DRPTRIG` DROP TRIGGER
    `static short` | `SQ_EXECPROC` EXECUTE PROCEDURE
    `static short` | `SQ_EXPLAIN` SET EXPLAIN
    `static short` | `SQ_GRANT` GRANT
    `static short` | `SQ_INSERT` INSERT
    `static short` | `SQ_ISOLATE` SET ISOLATION
    `static short` | `SQ_LDINSERT` for internal use only
    `static short` | `SQ_LOCK` LOCK TABLE
    `static short` | `SQ_OPRELEASE` RELEASE (optical)
    `static short` | `SQ_OPRESERVE` RESERVE (optical)
    `static short` | `SQ_OPTIM` SET OPTIMIZATION
    `static short` | `SQ_OPTIMEOUT` SET OPTICAL TIMEOUT
    `static short` | `SQ_PASSWD` SET DBPASSWORD
    `static short` | `SQ_PDQPRIORITY` SET PDQPRIORITY
    `static short` | `SQ_PLOADFILE` pload log file command
    `static short` | `SQ_PROCSTATS` UPDATE STATISTICS (for procedure)
    `static short` | `SQ_RECTAB` RECOVER TABLE
    `static short` | `SQ_RENCOL` RENAME COLUMN
    `static short` | `SQ_RENDB` RENAME DATABASE
    `static short` | `SQ_RENTAB` RENAME TABLE
    `static short` | `SQ_REPTAB` for internal use only
    `static short` | `SQ_REVOKE` REVOKE
    `static short` | `SQ_RFORWARD` ROLLFORWARD DATABASE
    `static short` | `SQ_ROLLBACK` ROLLBACK WORK
    `static short` | `SQ_SAVEPOINT` for internal use only
    `static short` | `SQ_SCHEDULE` set schedule
    `static short` | `SQ_SCHEMA` CREATE SCHEMA
    `static short` | `SQ_SELECT` SELECT
    `static short` | `SQ_SELINTO` SELECT INTO
    `static short` | `SQ_SETDAC` SET SESSION AUTHORIZATION
    `static short` | `SQ_SETDATASKIP` SET DATASKIP
    `static short` | `SQ_SETENV` "set environment ..."
    `static short` | `SQ_SETLOG` SET LOG
    `static short` | `SQ_SETLVEXT` SET EXTENT SIZE
    `static short` | `SQ_SETMAC` SET SESSION LEVEL
    `static short` | `SQ_SETOBJMODE` SET MODE ENABLED/DISABLED/FILTERING
    `static short` | `SQ_SETRES` SET (MEMORY/NON)_RESIDENT
    `static short` | `SQ_SETROLE` SET ROLE
    `static short` | `SQ_SETTBLHI` SET TABLE HIGH
    `static short` | `SQ_SKINHIBIT` RESERVE (smart disk)
    `static short` | `SQ_SKSHOW` RESERVE (smart disk)
    `static short` | `SQ_SKSMALL` RESERVE (smart disk)
    `static short` | `SQ_START` START VIOLATIONS TABLE
    `static short` | `SQ_STARTDB` START DATABASE
    `static short` | `SQ_STATS` UPDATE STATISTICS
    `static short` | `SQ_STMT_CACHE` SET STMT_CACHE
    `static short` | `SQ_STOP` STOP VIOLATIONS TABLE
    `static short` | `SQ_STPAUD` for internal use only
    `static short` | `SQ_STRAUD` for internal use only
    `static short` | `SQ_UNKNOWN` This statement type is reserved for identifying new statements with custom syntax extensions to the generic SQL parser
    `static short` | `SQ_UNLOCK` UNLOCK TABLE
    `static short` | `SQ_UPDALL` UPDATE (no WHERE)
    `static short` | `SQ_UPDATE` UPDATE...WHERE
    `static short` | `SQ_UPDCURR` UPDATE WHERE CURRENT OF
    `static short` | `SQ_WAITFOR` SET LOCK MODE
    `static short` | `SQ_XPS_RES2` reserved for future use
    `static short` | `SQ_XPS_RES3` reserved for future use
    `static short` | `SQ_XPS_RES4` reserved for future use
    `static short` | `SQ_XPS_RES5` reserved for future use
    `static short` | `SQRENIDX` RENAME INDEX

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IfxStatementTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SQ_DATABASE

          public static final short SQ_DATABASE

      DATABASE statement
      See Also:
        Constant Field Values

    - #### SQ_SELECT

          public static final short SQ_SELECT

      SELECT
      See Also:
        Constant Field Values

    - #### SQ_SELINTO

          public static final short SQ_SELINTO

      SELECT INTO
      See Also:
        Constant Field Values

    - #### SQ_UPDATE

          public static final short SQ_UPDATE

      UPDATE...WHERE
      See Also:
        Constant Field Values

    - #### SQ_DELETE

          public static final short SQ_DELETE

      DELETE...WHERE
      See Also:
        Constant Field Values

    - #### SQ_INSERT

          public static final short SQ_INSERT

      INSERT
      See Also:
        Constant Field Values

    - #### SQ_UPDCURR

          public static final short SQ_UPDCURR

      UPDATE WHERE CURRENT OF
      See Also:
        Constant Field Values

    - #### SQ_DELCURR

          public static final short SQ_DELCURR

      DELETE WHERE CURRENT OF
      See Also:
        Constant Field Values

    - #### SQ_LDINSERT

          public static final short SQ_LDINSERT

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_LOCK

          public static final short SQ_LOCK

      LOCK TABLE
      See Also:
        Constant Field Values

    - #### SQ_UNLOCK

          public static final short SQ_UNLOCK

      UNLOCK TABLE
      See Also:
        Constant Field Values

    - #### SQ_CREADB

          public static final short SQ_CREADB

      CREATE DATABASE
      See Also:
        Constant Field Values

    - #### SQ_DROPDB

          public static final short SQ_DROPDB

      DROP DATABASE
      See Also:
        Constant Field Values

    - #### SQ_CRETAB

          public static final short SQ_CRETAB

      CREATE TABLE
      See Also:
        Constant Field Values

    - #### SQ_DRPTAB

          public static final short SQ_DRPTAB

      DROP TABLE
      See Also:
        Constant Field Values

    - #### SQ_CREIDX

          public static final short SQ_CREIDX

      CREATE INDEX
      See Also:
        Constant Field Values

    - #### SQ_DRPIDX

          public static final short SQ_DRPIDX

      DROP INDEX
      See Also:
        Constant Field Values

    - #### SQ_GRANT

          public static final short SQ_GRANT

      GRANT
      See Also:
        Constant Field Values

    - #### SQ_REVOKE

          public static final short SQ_REVOKE

      REVOKE
      See Also:
        Constant Field Values

    - #### SQ_RENTAB

          public static final short SQ_RENTAB

      RENAME TABLE
      See Also:
        Constant Field Values

    - #### SQ_RENCOL

          public static final short SQ_RENCOL

      RENAME COLUMN
      See Also:
        Constant Field Values

    - #### SQ_CREAUD

          public static final short SQ_CREAUD

      CREATE AUDIT
      See Also:
        Constant Field Values

    - #### SQ_STRAUD

          public static final short SQ_STRAUD

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_STPAUD

          public static final short SQ_STPAUD

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_DRPAUD

          public static final short SQ_DRPAUD

      DROP AUDIT
      See Also:
        Constant Field Values

    - #### SQ_RECTAB

          public static final short SQ_RECTAB

      RECOVER TABLE
      See Also:
        Constant Field Values

    - #### SQ_CHKTAB

          public static final short SQ_CHKTAB

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_REPTAB

          public static final short SQ_REPTAB

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_ALTER

          public static final short SQ_ALTER

      ALTER TABLE
      See Also:
        Constant Field Values

    - #### SQ_STATS

          public static final short SQ_STATS

      UPDATE STATISTICS
      See Also:
        Constant Field Values

    - #### SQ_CLSDB

          public static final short SQ_CLSDB

      CLOSE DATABASE
      See Also:
        Constant Field Values

    - #### SQ_DELALL

          public static final short SQ_DELALL

      DELETE (no WHERE)
      See Also:
        Constant Field Values

    - #### SQ_UPDALL

          public static final short SQ_UPDALL

      UPDATE (no WHERE)
      See Also:
        Constant Field Values

    - #### SQ_BEGWORK

          public static final short SQ_BEGWORK

      BEGIN WORK
      See Also:
        Constant Field Values

    - #### SQ_COMMIT

          public static final short SQ_COMMIT

      COMMIT WORK
      See Also:
        Constant Field Values

    - #### SQ_ROLLBACK

          public static final short SQ_ROLLBACK

      ROLLBACK WORK
      See Also:
        Constant Field Values

    - #### SQ_SAVEPOINT

          public static final short SQ_SAVEPOINT

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_STARTDB

          public static final short SQ_STARTDB

      START DATABASE
      See Also:
        Constant Field Values

    - #### SQ_RFORWARD

          public static final short SQ_RFORWARD

      ROLLFORWARD DATABASE
      See Also:
        Constant Field Values

    - #### SQ_CREVIEW

          public static final short SQ_CREVIEW

      CREATE VIEW
      See Also:
        Constant Field Values

    - #### SQ_DROPVIEW

          public static final short SQ_DROPVIEW

      DROP VIEW
      See Also:
        Constant Field Values

    - #### SQ_DEBUG

          public static final short SQ_DEBUG

      for internal use only
      See Also:
        Constant Field Values

    - #### SQ_CREASYN

          public static final short SQ_CREASYN

      CREATE SYNONYM
      See Also:
        Constant Field Values

    - #### SQ_DROPSYN

          public static final short SQ_DROPSYN

      DROP SYNONYM
      See Also:
        Constant Field Values

    - #### SQ_CTEMP

          public static final short SQ_CTEMP

      CREATE TEMP TABLE
      See Also:
        Constant Field Values

    - #### SQ_WAITFOR

          public static final short SQ_WAITFOR

      SET LOCK MODE
      See Also:
        Constant Field Values

    - #### SQ_ALTIDX

          public static final short SQ_ALTIDX

      ALTER INDEX
      See Also:
        Constant Field Values

    - #### SQ_ISOLATE

          public static final short SQ_ISOLATE

      SET ISOLATION
      See Also:
        Constant Field Values

    - #### SQ_SETLOG

          public static final short SQ_SETLOG

      SET LOG
      See Also:
        Constant Field Values

    - #### SQ_EXPLAIN

          public static final short SQ_EXPLAIN

      SET EXPLAIN
      See Also:
        Constant Field Values

    - #### SQ_SCHEMA

          public static final short SQ_SCHEMA

      CREATE SCHEMA
      See Also:
        Constant Field Values

    - #### SQ_OPTIM

          public static final short SQ_OPTIM

      SET OPTIMIZATION
      See Also:
        Constant Field Values

    - #### SQ_CREPROC

          public static final short SQ_CREPROC

      CREATE PROCEDURE
      See Also:
        Constant Field Values

    - #### SQ_DRPPROC

          public static final short SQ_DRPPROC

      DROP PROCEDURE
      See Also:
        Constant Field Values

    - #### SQ_CONSTRMODE

          public static final short SQ_CONSTRMODE

      SET CONSTRAINTS
      See Also:
        Constant Field Values

    - #### SQ_EXECPROC

          public static final short SQ_EXECPROC

      EXECUTE PROCEDURE
      See Also:
        Constant Field Values

    - #### SQ_DBGFILE

          public static final short SQ_DBGFILE

      SET DEBUG FILE TO
      See Also:
        Constant Field Values

    - #### SQ_CREOPCL

          public static final short SQ_CREOPCL

      CREATE OPTICAL CLUSTER
      See Also:
        Constant Field Values

    - #### SQ_ALTOPCL

          public static final short SQ_ALTOPCL

      ALTER OPTICAL CLUSTER
      See Also:
        Constant Field Values

    - #### SQ_DRPOPCL

          public static final short SQ_DRPOPCL

      DROP OPTICAL CLUSTER
      See Also:
        Constant Field Values

    - #### SQ_OPRESERVE

          public static final short SQ_OPRESERVE

      RESERVE (optical)
      See Also:
        Constant Field Values

    - #### SQ_OPRELEASE

          public static final short SQ_OPRELEASE

      RELEASE (optical)
      See Also:
        Constant Field Values

    - #### SQ_OPTIMEOUT

          public static final short SQ_OPTIMEOUT

      SET OPTICAL TIMEOUT
      See Also:
        Constant Field Values

    - #### SQ_PROCSTATS

          public static final short SQ_PROCSTATS

      UPDATE STATISTICS (for procedure)
      See Also:
        Constant Field Values

    - #### SQ_SKINHIBIT

          public static final short SQ_SKINHIBIT

      RESERVE (smart disk)
      See Also:
        Constant Field Values

    - #### SQ_SKSHOW

          public static final short SQ_SKSHOW

      RESERVE (smart disk)
      See Also:
        Constant Field Values

    - #### SQ_SKSMALL

          public static final short SQ_SKSMALL

      RESERVE (smart disk)
      See Also:
        Constant Field Values

    - #### SQ_CRETRIG

          public static final short SQ_CRETRIG

      CREATE TRIGGER
      See Also:
        Constant Field Values

    - #### SQ_DRPTRIG

          public static final short SQ_DRPTRIG

      DROP TRIGGER
      See Also:
        Constant Field Values

    - #### SQ_UNKNOWN

          public static final short SQ_UNKNOWN

      This statement type is reserved for identifying new statements with custom syntax extensions to the generic SQL parser
      See Also:
        Constant Field Values

    - #### SQ_SETDATASKIP

          public static final short SQ_SETDATASKIP

      SET DATASKIP
      See Also:
        Constant Field Values

    - #### SQ_PDQPRIORITY

          public static final short SQ_PDQPRIORITY

      SET PDQPRIORITY
      See Also:
        Constant Field Values

    - #### SQ_ALTFRAG

          public static final short SQ_ALTFRAG

      ALTER FRAGMENT
      See Also:
        Constant Field Values

    - #### SQ_SETOBJMODE

          public static final short SQ_SETOBJMODE

      SET MODE ENABLED/DISABLED/FILTERING
      See Also:
        Constant Field Values

    - #### SQ_START

          public static final short SQ_START

      START VIOLATIONS TABLE
      See Also:
        Constant Field Values

    - #### SQ_STOP

          public static final short SQ_STOP

      STOP VIOLATIONS TABLE
      See Also:
        Constant Field Values

    - #### SQ_SETMAC

          public static final short SQ_SETMAC

      SET SESSION LEVEL
      See Also:
        Constant Field Values

    - #### SQ_SETDAC

          public static final short SQ_SETDAC

      SET SESSION AUTHORIZATION
      See Also:
        Constant Field Values

    - #### SQ_SETTBLHI

          public static final short SQ_SETTBLHI

      SET TABLE HIGH
      See Also:
        Constant Field Values

    - #### SQ_SETLVEXT

          public static final short SQ_SETLVEXT

      SET EXTENT SIZE
      See Also:
        Constant Field Values

    - #### SQ_CREATEROLE

          public static final short SQ_CREATEROLE

      CREATE ROLE
      See Also:
        Constant Field Values

    - #### SQ_DROPROLE

          public static final short SQ_DROPROLE

      DROP ROLE
      See Also:
        Constant Field Values

    - #### SQ_SETROLE

          public static final short SQ_SETROLE

      SET ROLE
      See Also:
        Constant Field Values

    - #### SQ_PASSWD

          public static final short SQ_PASSWD

      SET DBPASSWORD
      See Also:
        Constant Field Values

    - #### SQ_RENDB

          public static final short SQ_RENDB

      RENAME DATABASE
      See Also:
        Constant Field Values

    - #### SQ_CREADOM

          public static final short SQ_CREADOM

      CREATE DOMAIN
      See Also:
        Constant Field Values

    - #### SQ_DROPDOM

          public static final short SQ_DROPDOM

      DROP DOMAIN
      See Also:
        Constant Field Values

    - #### SQ_CREANRT

          public static final short SQ_CREANRT

      CREATE NAMED ROW TYPE
      See Also:
        Constant Field Values

    - #### SQ_DROPNRT

          public static final short SQ_DROPNRT

      DROP NAMED ROW TYPE
      See Also:
        Constant Field Values

    - #### SQ_CREADT

          public static final short SQ_CREADT

      CREATE DISTINCT TYPE
      See Also:
        Constant Field Values

    - #### SQ_CREACT

          public static final short SQ_CREACT

      CREATE CAST
      See Also:
        Constant Field Values

    - #### SQ_DROPCT

          public static final short SQ_DROPCT

      DROP CAST
      See Also:
        Constant Field Values

    - #### SQ_CREABT

          public static final short SQ_CREABT

      CREATE OPAQUE TYPE
      See Also:
        Constant Field Values

    - #### SQ_DROPTYPE

          public static final short SQ_DROPTYPE

      DROP TYPE
      See Also:
        Constant Field Values

    - #### SQ_ALTERROUTINE

          public static final short SQ_ALTERROUTINE

      ALTER routine
      See Also:
        Constant Field Values

    - #### SQ_CREATEAM

          public static final short SQ_CREATEAM

      CREATE ACCESS_METHOD
      See Also:
        Constant Field Values

    - #### SQ_DROPAM

          public static final short SQ_DROPAM

      DROP ACCESS_METHOD
      See Also:
        Constant Field Values

    - #### SQ_ALTERAM

          public static final short SQ_ALTERAM

      ALTER ACCESS_METHOD
      See Also:
        Constant Field Values

    - #### SQ_CREATEOPC

          public static final short SQ_CREATEOPC

      CREATE OPCLASS
      See Also:
        Constant Field Values

    - #### SQ_DROPOPC

          public static final short SQ_DROPOPC

      DROP OPCLASS
      See Also:
        Constant Field Values

    - #### SQ_CREACST

          public static final short SQ_CREACST

      CREATE CONSTRUCTOR
      See Also:
        Constant Field Values

    - #### SQ_SETRES

          public static final short SQ_SETRES

      SET (MEMORY/NON)_RESIDENT
      See Also:
        Constant Field Values

    - #### SQ_CREAGG

          public static final short SQ_CREAGG

      CREATE AGGREGATE
      See Also:
        Constant Field Values

    - #### SQ_DRPAGG

          public static final short SQ_DRPAGG

      DROP AGGREGATE
      See Also:
        Constant Field Values

    - #### SQ_PLOADFILE

          public static final short SQ_PLOADFILE

      pload log file command
      See Also:
        Constant Field Values

    - #### SQ_CHKIDX

          public static final short SQ_CHKIDX

      onutil check index command
      See Also:
        Constant Field Values

    - #### SQ_SCHEDULE

          public static final short SQ_SCHEDULE

      set schedule
      See Also:
        Constant Field Values

    - #### SQ_SETENV

          public static final short SQ_SETENV

      "set environment ..."
      See Also:
        Constant Field Values

    - #### SQ_XPS_RES2

          public static final short SQ_XPS_RES2

      reserved for future use
      See Also:
        Constant Field Values

    - #### SQ_XPS_RES3

          public static final short SQ_XPS_RES3

      reserved for future use
      See Also:
        Constant Field Values

    - #### SQ_XPS_RES4

          public static final short SQ_XPS_RES4

      reserved for future use
      See Also:
        Constant Field Values

    - #### SQ_XPS_RES5

          public static final short SQ_XPS_RES5

      reserved for future use
      See Also:
        Constant Field Values

    - #### SQ_STMT_CACHE

          public static final short SQ_STMT_CACHE

      SET STMT_CACHE
      See Also:
        Constant Field Values

    - #### SQRENIDX

          public static final short SQRENIDX

      RENAME INDEX
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IfxStatementTypes

          public IfxStatementTypes()